=== debian/changelog ===
glusterfs (11.1-4ubuntu0.1) noble; urgency=medium

  * Fix stack overflow in __inode_destroy due to recursive calls to
    inode_unref.
    (LP: #2064843)

 -- Nick O'Connor <nick@ocnr.org>  Wed, 08 May 2024 18:49:32 -0700

glusterfs (11.1-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:00:40 +0000

glusterfs (11.1-4build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:07:34 +0000

glusterfs (11.1-4build1) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:23:39 +0000

glusterfs (11.1-4) unstable; urgency=medium

  * Install gluster.bash bash completion from
    /usr/share/bash-completion/completions/ instead of previous
    etc/bash_completion.d/ location. Thanks for the patch to Lena Voytek!
    Closes: #1059859
    - Add build dependency on bash-completion. If this package is installed
      glusterfs installs the file to the correct location.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 10 Jan 2024 14:53:16 +0100

glusterfs (11.1-3) unstable; urgency=medium

  * Add loong64 architecture.
    Closes: #1058682

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 14 Dec 2023 15:31:44 +0100

glusterfs (11.1-2) unstable; urgency=medium

  * Add patch 06-hardcode-ssl-path: Hardcode path to the SSL certificate
    directory, so we use /etc/ssl instead of /usr/lib/ssl.
    Closes: #1056193
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 12 Dec 2023 16:17:16 +0100

glusterfs (11.1-1) unstable; urgency=high

  * New upstream release.
    - Remove merged patch 09-fix-startup-crash.
    - Fixes use-after-free bug, also described in CVE-2022-48340.
      Closes: #1031796

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Nov 2023 09:20:59 +0100
