## glusterfs 11.2

=== debian/changelog ===
glusterfs (11.2-2) unstable; urgency=medium

  * Remove Rules-Requires-Root control field.
  * Update debian/watch to version 5.
  * Remove deprecated libdb-dev build dependencie.
    Closes: #1119228
  * Fix lintian warning build-depends-on-obsolete-package for pkgconf.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 21 Jan 2026 11:33:52 +0100

glusterfs (11.2-1) unstable; urgency=medium

  * New upstream release.
    - Update patch 06-hardcode-ssl-path.
    - Remove merged patch 09-fix-stack-overflow-in-inode-destroy.
  * Update location of debian/watch to Github.
  * Bump Standards-Version to 4.7.3 (Remove priority field).
  * Adjust debian/copyright.
  * Remove alien lintian tags.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 06 Jan 2026 14:56:49 +0100

glusterfs (11.1-6) unstable; urgency=medium

  * Add patch 09-fix-stack-overflow-in-inode-destroy from Andreas Hasenack to
    fix a segfault under certain conditions.
    Closes: #1077626

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 11 Jul 2025 10:26:54 +0200

glusterfs (11.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0.
  * Add patch from Chris Hofstaedtler: Install mount utils into /usr/sbin.
    Closes: #1073760

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 08 Jul 2024 14:27:41 +0200
