=== debian/control ===
--- 
+++ 
@@ -1,11 +1,8 @@
 Source: glusterfs
 Section: admin
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper-compat (= 13),
  libibverbs-dev <!nocheck>,
- libdb-dev <!nocheck>,
  librdmacm-dev <!nocheck>,
  libaio-dev,
  libacl1-dev,
@@ -25,13 +22,12 @@
  libssl-dev,
  openssl,
  libxml2-dev,
- pkg-config,
+ pkgconf,
  dh-exec,
  dh-python,
  dh-sequence-python3,
  python3-dev
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://www.gluster.org/
 
 Package: glusterfs-client
